<?php
function rswpthemes_awt__demo_import_lists(){
   $getRswpThemesSlug = get_stylesheet();
   $demo_lists = array();
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/author-portfolio.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/writers-portfolio.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/book-author-blog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/author-personal-blog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/author-blog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/book-author-template.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/minimalblog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/faith-blog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/one-elementor.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/tech-blogging.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/book-review-blog.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/premium-demos.php';
    require RSWPTHEMES_AWT_PLUGIN_PATH . '/themes-demoes/themes-files/free-demos.php';

    if ('writers-portfolio' === $getRswpThemesSlug) {
        $demo_lists = array_merge(rswpthemes_awt_writers_portfolio_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('author-portfolio' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_author_portfolio_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('author-personal-blog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_author_personal_blog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('book-author-blog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_book_author_blog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('minimalblog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_minimalblog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('author-blog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_author_blog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('book-author-template' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_book_author_template_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('faith-blog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_faith_blog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('one-elementor' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_one_elementor_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('tech-blogging' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_tech_blogging_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('book-review-blog' === $getRswpThemesSlug){
        $demo_lists = array_merge(rswpthemes_awt_book_review_blog_ocdc(), rswpthemes_awt_premium_demos());
    }elseif('book-blogger' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('fitness-blog' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('electronic-store' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('food-blogger' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('blog-starter' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('country-living-blog' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('business-blogging' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('digital-marketing-blog' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }elseif('blogshop' === $getRswpThemesSlug){
        $demo_lists = rswpthemes_awt_premium_demos();
    }

    $demo_lists = array_merge(rswpthemes_awt_free_demoes_ocdc(), $demo_lists);
    
   return $demo_lists;
}
add_filter('advanced_import_demo_lists','rswpthemes_awt__demo_import_lists');